## libpappsomspp 0.9.38

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

# CMake script for PAPPSOms++ library
# Authors: Olivier Langella & Filippo Rusconi
# Created: 03/03/2015
# Rework: April 2020 (Coronavirus confinement)

############################################################
############################################################
# Basic information about project

project(libpappsomspp)

set(PAPPSOMSPP_VERSION_MAJOR "0")
set(PAPPSOMSPP_VERSION_MINOR "9")
set(PAPPSOMSPP_VERSION_PATCH "38")
set(PAPPSOMSPP_VERSION "${PAPPSOMSPP_VERSION_MAJOR}.${PAPPSOMSPP_VERSION_MINOR}.${PAPPSOMSPP_VERSION_PATCH}")

# Command to enable debug and tests
# cmake -DCMAKE_BUILD_TYPE=Debug  -DMAKE_TESTS=1 -DUSEPAPPSOTREE=0 ..

# This line MUST be located prior to include'ing GNUInstallDirs !!!
# Note that the CMAKE_LIBRARY_ARCHITECTURE is only accounted for
# CMAKE_INSTALL_PREFIX = /usr (not /usr/local, for example).
set(CMAKE_INSTALL_PREFIX /usr)

message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")

include(GNUInstallDirs)

message(STATUS "Set CMAKE_INSTALL_PREFIX to ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Install directory prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "CMAKE_INSTALL_FULL_LIBDIR: ${CMAKE_INSTALL_FULL_LIBDIR}")
message(STATUS "CMAKE_INSTALL_FULL_INCLUDEDIR: ${CMAKE_INSTALL_FULL_INCLUDEDIR}")

# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)

# We need a variable that is not modified by CMake because we'll need to access
# that specific directory later
set(LOCAL_CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)
message("CMakeLists.txt - LOCAL_CMAKE_MODULE_PATH:" ${LOCAL_CMAKE_MODULE_PATH})

# Now add our local path to the general path list.
set(CMAKE_MODULE_PATH ${LOCAL_CMAKE_MODULE_PATH} ${CMAKE_MODULE_PATH})

# This include must come before all the others
# It must include the config-generated config.h file
# before the others.
include_directories(${CMAKE_BINARY_DIR})

# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN64 if SYSTEM_UNAME_S is "^.*MING64.*"
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)

message("\n${BoldRed}Configuring build for project ${PROJECT_NAME}${ColourReset}\n")

# This export will allow using the flags to be used by
# youcompleteme (vim plugin).
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
  execute_process( COMMAND cmake -E copy_if_different
    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
    )
endif()

# We want C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall.${ColourReset}")
add_definitions(-Wall)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)

if(WARN_AS_ERROR)
  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
  add_definitions(-Werror)
endif()

message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")


#############################################################
#############################################################
# Platform-specific CMake configuration
if(MXE)
  # Run the following cmake command line:
  # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
  #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)

  # Set the name to the systemUname variable because in this situation that name
  # is not found, it it passed as a flag in the command line.
  set(SYSTEM_UNAME_S "mxe")

elseif(UNIX AND NOT APPLE)
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=1 -DCMAKE_BUILD_TYPE=Debug

  include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
  #include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain-local.cmake)

elseif(WIN32 OR _WIN32)

  if(WIN10MINGW64)
    include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
  endif()

elseif(APPLE)
  # Run the following cmake command line:
  # cmake -DBUILD_USER_MANUAL=0 -DCMAKE_BUILD_TYPE=Release ../development

  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${PROJECT}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SYSTEM_UNAME_S}${ColourReset}")
message("")


#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})

# Gee, do not set that to default!
# set(MAKE_TESTS 1)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
    "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "Release")
  message(STATUS "Compiling in release mode.")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

if(CMAKE_BUILD_TYPE MATCHES "Debug")
  message(STATUS "Compiling in debug mode with MAKE_TESTS: ${MAKE_TESTS}.")
  message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
  add_definitions(-ggdb3)
endif()

if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
  message(STATUS "Compiling in release with debug info mode.")
endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )

message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")


# PWIZLITE
if(NOT PwizLite_FOUND)
  message(STATUS "PwizLite not yet found. Searching for it.")
  find_package(PwizLite REQUIRED)
endif()
message(STATUS "PwizLite_INCLUDE_DIRS: ${PwizLite_INCLUDE_DIRS}")
message(STATUS "PwizLite_LIBRARIES: ${PwizLite_LIBRARIES}")


# BOOST
if(NOT Boost_FOUND)
  message(STATUS "Boost not yet found. Searching for it.")
  find_package(Boost COMPONENTS iostreams thread filesystem chrono REQUIRED)
endif()
message(STATUS "Boost_LIBRARIES found ${Boost_LIB_VERSION}")
message(STATUS "Boost_INCLUDES: ${Boost_INCLUDE_DIRS}")
message(STATUS "Boost_LIB_DIRS: ${Boost_LIBRARY_DIRS}")


# QCustomPlotQt6
if(QCustomPlotQt6_FOUND)
else (QCustomPlotQt6_FOUND)
  set(QCustomPlotQt6_DIR ${CMAKE_MODULE_PATH})
  find_package(QCustomPlotQt6 REQUIRED)
endif(QCustomPlotQt6_FOUND)



message(STATUS "CMakeLists.txt - CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH}")

if(Zstd_FOUND)
else (Zstd_FOUND)
  set(Zstd_DIR ${CMAKE_MODULE_PATH})
  find_package(Zstd REQUIRED)
endif(Zstd_FOUND)


if(SQLite3_FOUND)
else(SQLite3_FOUND)
  set(SQLite3_DIR ${CMAKE_MODULE_PATH})
  find_package(SQLite3 REQUIRED)
endif(SQLite3_FOUND)


if(NOT USEPAPPSOTREE)
  set(USEPAPPSOTREE 0)
endif(NOT USEPAPPSOTREE)


# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
if(CMAKE_INSTALL_PREFIX)
  set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif(CMAKE_INSTALL_PREFIX)

# Subdirectories
message(STATUS "Adding subdirectory src for PROJECT: ${PROJECT}")

#generate Doxyfile even if doxygen is not configured
configure_file(${CMAKE_SOURCE_DIR}/doc/Doxyfile.in ${CMAKE_BINARY_DIR}/doc/Doxyfile @ONLY)
add_subdirectory(doc)

message(STATUS "Adding subdirectory doc for PROJECT: ${PROJECT}")
add_subdirectory(src)

# Doxygen
if(UNIX AND NOT APPLE)
  find_package(Doxygen)

  if(DOXYGEN_FOUND)

    add_custom_target (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
      COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

    add_custom_target(apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
      COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
      COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

  endif(DOXYGEN_FOUND)

endif(UNIX AND NOT APPLE)


#############################################################
###########################
# CREATE THE SOURCE PACKAGE
include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)

add_custom_target(archive
  cpack -G TGZ --config CPackSourceConfig.cmake && mv
  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${PAPPSOMSPP_VERSION}.tar.gz
  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PAPPSOMSPP_VERSION}.tar.gz
  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${PAPPSOMSPP_VERSION}.orig.tar.gz && ln -sf
  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PAPPSOMSPP_VERSION}.tar.gz
  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${PAPPSOMSPP_VERSION}.orig.tar.gz

  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
  COMMENT "Creating .tar.gz" VERBATIM
)

# Packager
set(CPACK_PACKAGE_NAME "libpappsomspp")
set(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
set(CPACK_PACKAGE_VERSION "${PAPPSOMSPP_VERSION}")
set(CPACK_PACKAGE_VERSION_MAJOR "${PAPPSOMSPP_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PAPPSOMSPP_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PAPPSOMSPP_VERSION_PATCH}")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The PAPPSO C++ library for mass spectrometry")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
set(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
  \\\\.git/
  "CMakeFiles"
  "Makefile"
  "_CPack_Packages"
  "CMakeCache.txt"
  ".*\\\\.gz"
  ".*\\\\.deb"
  ".*\\\\.rpm"
  ".*\\\\.dmg"
  ".*\\\\..*\\\\.swp"
  "src/\\\\..*"
  "src/libbpp*"
  "debian/tmp"
  "debian/libbpp.*/"
  "debian/libbpp.*\\\\.so.*"
  "debian/libbpp.*\\\\.a"
  "debian/libbpp.*\\\\.substvars"
  "debian/libbpp.*\\\\.debhelper"
  "debian/debhelper\\\\.log"
  "html"
  "Core.tag"
  "Testing"
  "build/"
  "wbuild/"
  "buildwin64/"
  "build-stamp"
  "install_manifest.txt"
  "DartConfiguration.tcl"
  ${CPACK_SOURCE_IGNORE_FILES}
  ".cache"
  "Session.vim"
  "compile_commands.json"
  ".kdev4"
  "*.kdev4"
  )


#dch -Dstretch "message"
#cmake ..
#make deb
# scp libpappsomspp* proteus.ideev.universite-paris-saclay.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
# apt-get remove libpappsomspp*
#
#  debuild -S -sa
# dput -f olivier-langella *changes


#dpkg-deb -x libpappsomspp-qt4_0.0.4-1_amd64.deb libpappsomspp-qt4_0.0.4-1
#dpkg-gensymbols -v0 -plibpappsomspp-qt4 -Plibpappsomspp-qt4_0.0.4-1 -Osymbols
#cp symbols ../debian/libpappsomspp-qt4.symbols


#dpkg-deb -x libpappsomspp-qt5_0.0.4-1_amd64.deb libpappsomspp-qt5_0.0.4-1
#dpkg-gensymbols -v0 -plibpappsomspp-qt5 -Plibpappsomspp-qt5_0.0.4-1 -Osymbols
#cp symbols ../debian/libpappsomspp-qt5.symbols


if(MACOS)
  set(CPACK_GENERATOR "Bundle")
endif()

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
include(CPack)

if(UNIX)
  #This creates deb packages:



  add_custom_target(targz

=== src/CMakeLists.txt ===
# CMake script for PAPPSOms++ library
# Author: Olivier Langella
# Created: 03/03/2015
# Rework: April 2020 (Coronavirus confinement)

message(\n${BoldRed}"Now configuring src/ for ${PROJECT_NAME}${ColourReset}\n")


configure_file (${CMAKE_UTILS_PATH}/src-pappsomspp-config.h.cmake.in ${CMAKE_BINARY_DIR}/src/config.h)


add_definitions(-DWITHOUT_MZ5)


########################################################
# Files
set(CPP_FILES
  pappsomspp/utils.cpp
  pappsomspp/mzrange.cpp
  pappsomspp/precision.cpp

  pappsomspp/amino_acid/aa.cpp
  pappsomspp/amino_acid/aabase.cpp
  pappsomspp/amino_acid/aacode.cpp
  pappsomspp/amino_acid/aamodification.cpp
  pappsomspp/amino_acid/aastringcodec.cpp
  pappsomspp/amino_acid/aastringcodemassmatching.cpp


  pappsomspp/massspectrum/massspectrumid.cpp
  pappsomspp/massspectrum/massspectrum.cpp
  pappsomspp/massspectrum/qualifiedmassspectrum.cpp


  pappsomspp/fasta/fastafileindexer.cpp
  pappsomspp/fasta/fastareader.cpp
  pappsomspp/fasta/fastaoutputstream.cpp

  pappsomspp/grouping/grpexperiment.cpp
  pappsomspp/grouping/grppeptide.cpp
  pappsomspp/grouping/grpprotein.cpp
  pappsomspp/grouping/grpgroup.cpp
  pappsomspp/grouping/grpsubgroup.cpp
  pappsomspp/grouping/grppeptideset.cpp
  pappsomspp/grouping/grpmappeptidetogroup.cpp
  pappsomspp/grouping/grpmappeptidetosubgroupset.cpp
  pappsomspp/grouping/grpsubgroupset.cpp
  pappsomspp/grouping/grpgroupingmonitor.cpp

  pappsomspp/msfile/msfileaccessor.cpp
  pappsomspp/msfile/msfilereader.cpp
  pappsomspp/msfile/mzformatenumstr.cpp
  pappsomspp/msfile/pwizmsfilereader.cpp
  pappsomspp/msfile/timsmsfilereader.cpp
  pappsomspp/msfile/xymsfilereader.cpp
  pappsomspp/msfile/bafasciifilereader.cpp

  pappsomspp/msrun/spectrumcollectionhandlerinterface.cpp
  pappsomspp/msrun/alignment/msrunretentiontime.cpp
  pappsomspp/msrun/alignment/template.cpp
  pappsomspp/msrun/output/mzxmloutput.cpp
  pappsomspp/msrun/output/mgfoutput.cpp
  pappsomspp/msrun/msrundatasettreenode.cpp
  pappsomspp/msrun/msrundatasettree.cpp
  pappsomspp/msrun/msrunid.cpp
  pappsomspp/msrun/msrunreader.cpp
  pappsomspp/msrun/msrunreadconfig.cpp
  pappsomspp/msrun/private/pwizmsrunreader.cpp
  pappsomspp/msrun/private/timsmsrunreader.cpp
  pappsomspp/msrun/private/timsmsrunreaderbase.cpp
  pappsomspp/msrun/private/timsmsrunreaderdia.cpp
  pappsomspp/msrun/private/timsframesmsrunreader.cpp
  pappsomspp/msrun/private/timsmsrunreaderms2.cpp
  pappsomspp/msrun/private/timsmsrunreaderms2selected.cpp
  pappsomspp/msrun/xiccoord/ionmobilitygrid.cpp
  pappsomspp/msrun/xiccoord/xiccoord.cpp
  pappsomspp/msrun/xiccoord/xiccoordtims.cpp
  pappsomspp/msrun/xymsrunreader.cpp
  pappsomspp/msrun/bafasciimsrunreader.cpp

  pappsomspp/obo/obopsimod.cpp
  pappsomspp/obo/obopsimodterm.cpp
  pappsomspp/obo/filterobopsimodsink.cpp
  pappsomspp/obo/filterobopsimodtermaccession.cpp
  pappsomspp/obo/filterobopsimodtermlabel.cpp
  pappsomspp/obo/filterobopsimodtermdiffmono.cpp
  pappsomspp/obo/filterobopsimodtermname.cpp

  pappsomspp/peptide/ion.cpp
  pappsomspp/peptide/peptideinterface.cpp
  pappsomspp/peptide/peptide.cpp
  pappsomspp/peptide/peptidefragment.cpp
  pappsomspp/peptide/peptidefragmention.cpp
  pappsomspp/peptide/peptidefragmentionlistbase.cpp
  pappsomspp/peptide/peptidenaturalisotope.cpp
  pappsomspp/peptide/peptidenaturalisotopelist.cpp
  pappsomspp/peptide/peptidenaturalisotopeaverage.cpp
  pappsomspp/peptide/peptideproformaparser.cpp
  pappsomspp/peptide/peptiderawfragmentmasses.cpp
  pappsomspp/peptide/peptidestrparser.cpp


  pappsomspp/processing/combiners/mzintegrationparams.cpp
  pappsomspp/processing/combiners/integrationscopebase.cpp
  pappsomspp/processing/combiners/integrationscope.cpp
  pappsomspp/processing/combiners/integrationscoperect.cpp
  pappsomspp/processing/combiners/integrationscoperhomb.cpp
  pappsomspp/processing/combiners/selectionpolygon.cpp
  pappsomspp/processing/combiners/tracecombiner.cpp
  pappsomspp/processing/combiners/traceminuscombiner.cpp
  pappsomspp/processing/combiners/tracepluscombiner.cpp
  pappsomspp/processing/combiners/massdatacombinerinterface.cpp
  pappsomspp/processing/combiners/massspectrumcombiner.cpp
  pappsomspp/processing/combiners/massspectrumpluscombiner.cpp
  pappsomspp/processing/combiners/massspectrumminuscombiner.cpp

  pappsomspp/processing/compartraces/cosinesimilarity.cpp

  pappsomspp/processing/detection/tracedetectionzivy.cpp
  pappsomspp/processing/detection/tracedetectionmoulon.cpp
  pappsomspp/processing/detection/tracepeak.cpp
  pappsomspp/processing/detection/tracepeaklist.cpp

  pappsomspp/processing/filters/filterchargedeconvolution.cpp
  pappsomspp/processing/filters/filtercomplementionenhancer.cpp
  pappsomspp/processing/filters/filterexclusionmz.cpp
  pappsomspp/processing/filters/filterlocalmaximum.cpp
  pappsomspp/processing/filters/filtermorpho.cpp
  pappsomspp/processing/filters/filternameinterface.cpp
  pappsomspp/processing/filters/filterpass.cpp
  pappsomspp/processing/filters/filterpeakdelta.cpp
  pappsomspp/processing/filters/filterremovec13.cpp
  pappsomspp/processing/filters/filterresample.cpp
  pappsomspp/processing/filters/filtersuite.cpp
  pappsomspp/processing/filters/filtersuitestring.cpp
  pappsomspp/processing/filters/filtertandemremovec13.cpp
  pappsomspp/processing/filters/filtertriangle.cpp
  pappsomspp/processing/filters/savgolfilter.cpp
  pappsomspp/processing/filters/filterflooramplitudepercentage.cpp
  pappsomspp/processing/filters/filterceilingamplitudepercentage.cpp
  pappsomspp/processing/filters/filterlowintensitysignalremoval.cpp
  pappsomspp/processing/filters/filternormalizeintensities.cpp

  pappsomspp/processing/specglob/experimentalspectrum.cpp
  pappsomspp/processing/specglob/peptidemodel.cpp
  pappsomspp/processing/specglob/peptidespectrum.cpp
  pappsomspp/processing/specglob/posttreatment.cpp
  pappsomspp/processing/specglob/scorevalues.cpp
  pappsomspp/processing/specglob/spectralalignment.cpp

  pappsomspp/processing/specself/selfspectrum.cpp
  pappsomspp/processing/specself/selfspectrumdatapoint.cpp

  pappsomspp/processing/spectree/bucket.cpp
  pappsomspp/processing/spectree/bucketclustering.cpp
  pappsomspp/processing/spectree/itemcart.cpp
  pappsomspp/processing/spectree/spectree.cpp
  pappsomspp/processing/spectree/specxtractinterface.cpp

  pappsomspp/processing/tandemwrapper/tandemwrapperrun.cpp
  pappsomspp/processing/tandemwrapper/wraptandeminput.cpp
  pappsomspp/processing/tandemwrapper/wraptandemresults.cpp
  pappsomspp/processing/tandemwrapper/xtandempresetreader.cpp

  pappsomspp/processing/uimonitor/uimonitortext.cpp
  pappsomspp/processing/uimonitor/uimonitortextpercent.cpp

  pappsomspp/processing/xml/mzidentmlwriter.cpp
  pappsomspp/processing/xml/xmlstreamreaderinterface.cpp

  pappsomspp/protein/enzyme.cpp
  pappsomspp/protein/peptidesizefilter.cpp
  pappsomspp/protein/peptidebuilder.cpp
  pappsomspp/protein/peptidevariablemodificationbuilder.cpp
  pappsomspp/protein/peptidevariablemodificationreplacement.cpp
  pappsomspp/protein/peptidefixedmodificationbuilder.cpp
  pappsomspp/protein/peptidemodificatorbase.cpp
  pappsomspp/protein/peptidemodificatortee.cpp
  pappsomspp/protein/peptidemethioninremove.cpp
  pappsomspp/protein/peptidemodificatorpipeline.cpp
  pappsomspp/protein/peptidesemienzyme.cpp
  pappsomspp/protein/protein.cpp
  pappsomspp/protein/proteinintegercode.cpp
  pappsomspp/protein/proteinpresenceabsencematrix.cpp

  pappsomspp/psm/deepprot/deepprotenum.cpp
  pappsomspp/psm/experimental/ionisotoperatioscore.cpp
  pappsomspp/psm/features/psmfeatures.cpp
  pappsomspp/psm/morpheus/morpheusscore.cpp
  pappsomspp/psm/peakionmatch.cpp
  pappsomspp/psm/peakionisotopematch.cpp
  pappsomspp/psm/peptidespectrummatch.cpp
  pappsomspp/psm/peptideisotopespectrummatch.cpp
  pappsomspp/psm/xtandem/xtandemhyperscore.cpp
  pappsomspp/psm/xtandem/xtandemhyperscorebis.cpp
  pappsomspp/psm/xtandem/xtandemspectrumprocess.cpp

  pappsomspp/trace/datapoint.cpp
  pappsomspp/trace/linearregression.cpp
  pappsomspp/trace/maptrace.cpp
  pappsomspp/trace/trace.cpp

  pappsomspp/vendors/tims/mobilitytraces/timsframemobilitytraces.cpp
  pappsomspp/vendors/tims/mzcalibration/cardano.cpp
  pappsomspp/vendors/tims/mzcalibration/mzcalibrationinterface.cpp
  pappsomspp/vendors/tims/mzcalibration/mzcalibrationmodel1.cpp
  pappsomspp/vendors/tims/mzcalibration/mzcalibrationstore.cpp
  pappsomspp/vendors/tims/xicextractor/timsdirectxicextractor.cpp
  pappsomspp/vendors/tims/xicextractor/timsxicextractorinterface.cpp
  pappsomspp/vendors/tims/timsbindec.cpp
  pappsomspp/vendors/tims/timsdata.cpp
  pappsomspp/vendors/tims/timsdatafastmap.cpp
  pappsomspp/vendors/tims/timsddaprecursors.cpp
  pappsomspp/vendors/tims/timsdiaslices.cpp
  pappsomspp/vendors/tims/timsframe.cpp
  pappsomspp/vendors/tims/timsframerawdatachunck.cpp
  pappsomspp/vendors/tims/timsframebase.cpp
  pappsomspp/vendors/tims/timsframetype1.cpp
  pappsomspp/vendors/tims/timsms2centroidfilter.cpp

  pappsomspp/xic/xic.cpp
  pappsomspp/xic/qualifiedxic.cpp
  pappsomspp/xic/xicpeptideinterface.cpp
  pappsomspp/xic/xicpeptidefragmention.cpp
  pappsomspp/xic/xicpeptidefragmentionnaturalisotope.cpp


  pappsomspp/xicextractor/private/msrunslice.cpp
  pappsomspp/xicextractor/private/msrunxicextractor.cpp
  pappsomspp/xicextractor/private/msrunxicextractordisk.cpp
  pappsomspp/xicextractor/private/msrunxicextractordiskbuffer.cpp
  pappsomspp/xicextractor/msrunxicextractorfactory.cpp
  pappsomspp/xicextractor/msrunxicextractorinterface.cpp
)

set(pappsomspp_RCCS libpappsomsppresources.qrc)
# generate rules for building source files from the resources
qt6_add_resources(pappsomspp_RCC_SRCS ${pappsomspp_RCCS})

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)


#############################################################
# Build the static lib
add_library(pappsomspp-static STATIC ${CPP_FILES} ${pappsomspp_RCC_SRCS})

set_target_properties(pappsomspp-static
  PROPERTIES OUTPUT_NAME pappsomspp
  CLEAN_DIRECT_OUTPUT 1
  LINK_FLAGS -Wl,--whole-archive
)

target_include_directories(pappsomspp-static PUBLIC
  ${CMAKE_BINARY_DIR}/src
  ${PwizLite_INCLUDE_DIRS}
  ${liblzf_INCLUDE_DIRS}
)

message(STATUS "${BoldGreen}Setting definition -DPMSPP_LIBRARY for symbol DLL export.${ColourReset}")
target_compile_definitions(pappsomspp-static PRIVATE -DPMSPP_LIBRARY)

target_link_libraries(pappsomspp-static
  Boost::iostreams
  Boost::filesystem
  Boost::thread
  Boost::chrono
  PwizLite::PwizLite
  SQLite::SQLite3
  Qt6::Svg
  Qt6::Sql
  Qt6::Concurrent
  Qt6::Xml
  Qt6::Core5Compat
  Qt6::Core
  ZLIB::ZLIB
  Zstd::Zstd
  liblzf::liblzf
  hdf5::hdf5_cpp
)


# FIXME: should check that this still required. It was years ago.
if(WIN32 OR _WIN32)

  target_link_libraries(pappsomspp-static
    stdc++
  )
endif()


#############################################################
# Build the shared lib
add_library(pappsomspp-shared SHARED ${CPP_FILES} ${pappsomspp_RCC_SRCS})

set_target_properties(pappsomspp-shared
  PROPERTIES OUTPUT_NAME pappsomspp
  CLEAN_DIRECT_OUTPUT 1
  VERSION ${PAPPSOMSPP_VERSION}
  SOVERSION ${PAPPSOMSPP_VERSION_MAJOR}
  LINK_FLAGS "${LINKER_FLAGS}"
)

target_include_directories(pappsomspp-shared PUBLIC
  ${CMAKE_BINARY_DIR}/src
  ${PwizLite_INCLUDE_DIRS}
  ${liblzf_INCLUDE_DIRS}
)

message(STATUS "${BoldGreen}Setting definition -DPMSPP_LIBRARY for symbol DLL export.${ColourReset}")
target_compile_definitions(pappsomspp-shared PRIVATE -DPMSPP_LIBRARY)

target_link_libraries(pappsomspp-shared
  PwizLite::PwizLite
  Boost::iostreams
  Boost::filesystem
  Boost::thread
  Boost::chrono
  SQLite::SQLite3
  Qt6::PrintSupport
  Qt6::Gui
  Qt6::Svg
  Qt6::Sql
  Qt6::Concurrent
  Qt6::Xml
  Qt6::Core5Compat
  Qt6::Core
  ZLIB::ZLIB
  Zstd::Zstd
  liblzf::liblzf
  hdf5::hdf5_cpp
)

# Should check that this still required. It was years ago.
if(WIN32 OR _WIN32)

  target_link_libraries(pappsomspp-shared
    stdc++
  )

endif()


# Install libs

=== tests/CMakeLists.txt ===
if(MAKE_TESTS AND (WIN64 OR (UNIX AND NOT APPLE)))

  set (CMAKE_CXX_FLAGS "-Wno-error=deprecated-declarations")

  message(\n${BoldRed}"Now configuring tests for ${CMAKE_PROJECT_NAME}"${ColourReset}\n)

  # CMake script for PAPPSOms++ library
  # Authors: Copyright Olivier Langella & Filippo Rusconi
  # GPLv3+
  # Created: 03/03/2015 from the CMakeLists file of the Bio++ project
  # Changes 20201201 by FR.


  IF(USE_PAPPSO_TREE)
    set(USEPAPPSOTREE 1)
    message("USEPAPPSOTREE is defined")
    message("Please be sure that your environment has accessed to the PAPPSO directory")
  ENDIF(USE_PAPPSO_TREE)

configure_file(${CMAKE_UTILS_PATH}/tests-config.h.cmake.in ${CMAKE_BINARY_DIR}/tests/config.h)

  #apt-get install libpwiz-dev libboost-dev
  #CTEST_OUTPUT_ON_FAILURE=TRUE make test
  #make test ARGS="-V"
  #make test ARGS="-V -I 4,4"

  #export LD_LIBRARY_PATH=/home/langella/developpement/git/pappsomspp/build/src:$LD_LIBRARY_PATH

  #set(CMAKE_MODULE_PATH "/usr/share/cmake-3.0/Modules")

  message("tests/CMakeLists.txt - CMAKE_MODULE_PATH:" ${CMAKE_MODULE_PATH})

  find_package(QuaZip-Qt6 REQUIRED)

  find_package(Catch2 REQUIRED)
  find_package(Boost COMPONENTS chrono REQUIRED)


  if(OdsStream_FOUND)
  else (OdsStream_FOUND)
    find_package(OdsStream REQUIRED)
  endif(OdsStream_FOUND)

  if(TARGET OdsStream::Core)
    message("OdsStream::Core found.")
  else (TARGET OdsStream::Core)
    message("OdsStream::Core not found.")
  endif (TARGET OdsStream::Core)

  # When running tests we necessarily have to document the location of the
  # libraries that were built locally.
  set(PappsoMSpp_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/src")
  set(PappsoMSpp_LIBRARY "${CMAKE_BINARY_DIR}/src/libpappsomspp.so")
  set(PappsoMSppWidget_LIBRARY "${CMAKE_BINARY_DIR}/src/pappsomspp/widget/libpappsomspp-widget.so")

  message("${PappsoMSpp_INCLUDE_DIRS}")
  message("${PappsoMSpp_LIBRARY}")
  message("${PappsoMSppWidget_LIBRARY}")

  # These source files are compiled into a single Catch2-based test binary.
  set(catch2_only_cpp_SRCS
    catch-only-tests-main.cpp
    test_aa.cpp
    test_big_hyperscore.cpp
    test_datapoint.cpp
    test_fasta_reader.cpp
    test_fragmentationcid.cpp
    test_hyperscore.cpp
    test_isotope_with_spectrum.cpp
    test_trace.cpp
    test_maptrace.cpp
    test_massrange.cpp
    test_tracecombiner.cpp
    test_massspectrum.cpp
    test_mzintegrationparams.cpp
    test_massspectrumcombiner.cpp
    test_trace_filters.cpp
    test_xic.cpp
    test_protein.cpp
    test_proteincode.cpp
    test_peptide.cpp
    test_peptidefragment.cpp
    test_peptidenaturalisotopelist.cpp
    test_natural_isotope_average.cpp
    test_psm.cpp
    test_msrunoutput.cpp
    test_uimonitor.cpp
    test_rawmasslist.cpp
    test_spectree.cpp
    test_timsframe.cpp
    test_tims_data_xic_chromatogram.cpp
    test_tims_ion_mobility_grid.cpp
    test_tandem_run_wrapper.cpp
    test_msrunalignment.cpp
    test_scan_15968.cpp
    test_c13n15.cpp
    test_xicextractor.cpp
    test_xtandem_spectrum.cpp
    saxparsers/xtandemresultshandler.cpp
  )

  # These source files are compiled into a single Catch2-based test binary.
  # tests dedicated to check memory usage and avoid memory leaks
  set(catch2_only_cpp_memory_SRCS
    memory/test_tandemwrapperrun.cpp
    memory/test_timsdata_reader_memory.cpp
  )


  add_executable(catch2-only-memory
    common.cpp
    ${catch2_only_cpp_memory_SRCS}
  )
  add_executable(catch2-only-tests
    common.cpp
    ${catch2_only_cpp_SRCS}
  )

  add_custom_target(catch2-tests catch2-only-tests
                  DEPENDS catch2-only-tests
                  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
                  COMMENT "Running the Catch2-based tests.")

  set_property(TARGET catch2-only-tests PROPERTY CXX_STANDARD 17) # we want C++17
  # So that the <xxx>-based #includes find the proper header files even
  # if these are not installed on the system.
  include_directories("${CMAKE_SOURCE_DIR}/src")

  target_include_directories(catch2-only-tests PRIVATE
    ${INCLUDE_DIRECTORIES}
    ${CMAKE_CURRENT_BINARY_DIR}
    Catch2::Catch2 Catch2::Catch2WithMain
  )

  set(required_target_link_libraries
    pappsomspp-shared
    Catch2::Catch2
    Catch2::Catch2WithMain
    OdsStream::Core
    liblzf::liblzf
    QuaZip::QuaZip
  )

  target_link_libraries(catch2-only-tests
    ${required_target_link_libraries})

  target_link_libraries(catch2-only-memory
    pappsomspp-shared
    Catch2::Catch2
    Catch2::Catch2WithMain
    QuaZip::QuaZip
  )


  # Add the Catch2-based single binary test file to the CMake's test suite so
  # that it gets called using 'make test'. To see the output, add "ARGS=-V" to
  # the call.
  add_test(catch2-only-tests "catch2-only-tests")

  set_property(TEST catch2-only-tests  PROPERTY
    ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_PATH}/src")

  if(WIN32)
    set(ENV{PATH} "$ENV{PATH};..\\src")
  endif()

  #add_subdirectory(widget)

  add_subdirectory(benchmarks)
  add_subdirectory(proteincode)
  add_subdirectory(dia)
  if(USE_PAPPSO_TREE)
    add_subdirectory(pappsotree)
  endif()
  message(\n${BoldRed}"Done configuring tests for ${CMAKE_PROJECT_NAME}"${ColourReset}\n)

else()
  message(STATUS "Tests are not built.")
endif()

=== tests/benchmarks/CMakeLists.txt ===

  # These source files are compiled into a single Catch2-based test binary.
  # tests dedicated to check speed performances (benchmarks)
  set(catch2_only_cpp_benchmark_SRCS
    test_msrunreaderng.cpp
    test_proteinycodefasta.cpp
    test_timsxicextractor.cpp
    test_timsxicextractor_based_masspec.cpp
  )

  add_executable(catch2-only-benchmarks
    ../common.cpp
    ../proteincode/proteincode_lib.cpp
    ${catch2_only_cpp_benchmark_SRCS}
  )

    
  set_property(TARGET catch2-only-benchmarks PROPERTY CXX_STANDARD 17) # we want C++17

    
  target_link_libraries(catch2-only-benchmarks
    pappsomspp-shared
    Catch2::Catch2
    Catch2::Catch2WithMain
    liblzf::liblzf
    Boost::chrono
    QuaZip::QuaZip
    OdsStream::Core
    )

=== tests/dia/CMakeLists.txt ===

  # These source files are compiled into a single Catch2-based test binary.
  # tests dedicated to check speed performances (benchmarks)
  set(catch2_only_cpp_dia_SRCS
    test_soleil.cpp
  )

  add_executable(catch2-only-dia
    ../common.cpp
    dia_lib.cpp
    ${catch2_only_cpp_dia_SRCS}
  )


  target_link_libraries(catch2-only-dia
    ${required_target_link_libraries})

=== tests/pappsotree/CMakeLists.txt ===

  # These source files are compiled into a single Catch2-based test binary.
  # tests dedicated to check speed performances (benchmarks)
  set(catch2_only_cpp_pappsotree_SRCS
    test_tims_dia.cpp
    test_tims_dia_micro.cpp
    test_tims_dia_micro_slice.cpp
    test_tims_dia_nano.cpp
    test_msrunreaderng_tims.cpp
    test_msrunreaderng.cpp
  )

  add_executable(catch2-only-pappsotree
    ../common.cpp
    ${catch2_only_cpp_pappsotree_SRCS}
  )


  target_link_libraries(catch2-only-pappsotree
    ${required_target_link_libraries})

=== tests/proteincode/CMakeLists.txt ===

  # These source files are compiled into a single Catch2-based test binary.
  # tests dedicated to check speed performances (benchmarks)
  set(catch2_only_cpp_proteincode_SRCS
    test_methionine_scan.cpp
    test_spectrum_match.cpp
    test_trim_peptide.cpp
    test_self_spectrum.cpp
  )

  add_executable(catch2-only-proteincode
    ../common.cpp
    proteincode_lib.cpp
    ${catch2_only_cpp_proteincode_SRCS}
  )


  target_link_libraries(catch2-only-proteincode
    ${required_target_link_libraries})

=== tests/widget/CMakeLists.txt ===

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# File list
set(CPP_FILES
)

####################################
# GUI
#########################################
set(TESTWIDGET_GUI_SRCS
	testwidgetgui.cpp
	main.cpp
)

set (GUI_UIS
    uitestwidgetgui.ui
)


# this will run uic on .ui files:
qt6_wrap_ui( GUI_UI_HDRS ${GUI_UIS} )
#qt5_add_resources(deepprot_RCC_SRCS deepprot.qrc)
add_executable(testwidgetgui main.cpp testwidgetgui.cpp ${GUI_UI_HDRS})
    
target_link_libraries(testwidgetgui
    pappsomspp-shared
    pappsomspp-widget-shared
    Qt6::Core 
    Qt6::Gui
    Qt6::Widgets
    OdsStream::Core
)

=== src/pappsomspp/widget/CMakeLists.txt ===
# CMake script for PAPPSOms++ library
# Author: Olivier Langella
# Created: 22/12/2017
# Rework: April 2020 (Coronavirus confinement)

message(\n${BoldRed}"Now configuring src/widget for ${PROJECT_NAME}"${ColourReset}\n)

# Find includes in corresponding build directories

set(CMAKE_INCLUDE_CURRENT_DIR ON)



if(NOT QCustomPlotQt6_FOUND)
	message("Still searching for QCustomPlotQt6")
endif()


########################################################
# Files
SET(PAPPSOWIDGET_CPP_FILES
  graphicdevicewidget.cpp
  httpbutton/httpbutton.cpp
  precisionwidget/precisionwidget.cpp
  massspectrumwidget/qcpspectrum.cpp
  massspectrumwidget/massspectrumwidget.cpp
  obo/obochooserwidget/obochooserwidget.cpp
  obo/obolistwidget/obolistmodel.cpp
  obo/obolistwidget/obolistproxymodel.cpp
  obo/obolistwidget/obolistwidget.cpp
  obo/obotermform/obotermform.cpp
  xicwidget/qcpxic.cpp
  xicwidget/xicwidget.cpp
  plotwidget/baseplotcontext.cpp
  plotwidget/massspectraceplotcontext.cpp
  plotwidget/colormapplotconfig.cpp
  plotwidget/baseplotwidget.cpp
  plotwidget/basetraceplotwidget.cpp
  plotwidget/ticxicchromtraceplotwidget.cpp
  plotwidget/massspectraceplotwidget.cpp
  plotwidget/driftspectraceplotwidget.cpp
  plotwidget/basecolormapplotwidget.cpp
  plotwidget/ticxicchrommassspeccolormapplotwidget.cpp
  plotwidget/ticxicchromdriftspeccolormapplotwidget.cpp
  plotwidget/driftspecmassspeccolormapplotwidget.cpp
  switchbuttonwidget/switchbuttonwidget.cpp
)


set(GUI_UIS
  ./obo/obochooserwidget/uiobochooserwidget.ui
  ./obo/obolistwidget/uiobolistwidget.ui
  ./obo/obotermform/uiobotermform.ui
)


# this will run uic on .ui files:
qt6_wrap_ui( GUI_UI_HDRS ${GUI_UIS} )

#############################################################
# Build the static lib
add_library(pappsomspp-widget-static STATIC ${PAPPSOWIDGET_CPP_FILES} ${GUI_UI_HDRS})

set_target_properties(pappsomspp-widget-static
  PROPERTIES OUTPUT_NAME pappsomspp-widget
  CLEAN_DIRECT_OUTPUT 1
)

message(STATUS "${BoldGreen}Setting definition -DPMSPP_LIBRARY for symbol DLL export.${ColourReset}")
target_compile_definitions(pappsomspp-widget-static PRIVATE -DPMSPP_LIBRARY)

target_link_libraries(pappsomspp-widget-static
  Qt6::Core
  Qt6::Widgets
  Qt6::Svg
  Qt6::PrintSupport
  Boost::iostreams
  Boost::filesystem
  Boost::thread
  Boost::chrono
  PwizLite::PwizLite
  liblzf::liblzf
  QCustomPlotQt6::QCustomPlotQt6
)


# FIXME: should check that this still required. It was years ago.
if(WIN32 OR _WIN32)

  target_link_libraries(pappsomspp-widget-static 
    stdc++
  )
endif()


#############################################################
# Build the shared lib
add_library(pappsomspp-widget-shared SHARED ${PAPPSOWIDGET_CPP_FILES} ${GUI_UI_HDRS})

set_target_properties(pappsomspp-widget-shared
	PROPERTIES OUTPUT_NAME pappsomspp-widget
	CLEAN_DIRECT_OUTPUT 1
	VERSION ${PAPPSOMSPP_VERSION}
	SOVERSION ${PAPPSOMSPP_VERSION_MAJOR}
	#COMPILE_DEFINITIONS " ${QT_DEFINITIONS}"
	#INCLUDE_DIRECTORIES "${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR}"
	)


message(STATUS "${BoldGreen}Setting definition -DPMSPP_LIBRARY for symbol DLL export.${ColourReset}")
target_compile_definitions(pappsomspp-widget-shared PRIVATE -DPMSPP_LIBRARY)


target_link_libraries(pappsomspp-widget-shared

  PwizLite::PwizLite
  Boost::iostreams
  Boost::filesystem
  Boost::thread
  Boost::chrono
  SQLite::SQLite3
  QCustomPlotQt6::QCustomPlotQt6
  Qt6::PrintSupport
  Qt6::Gui
  Qt6::Widgets
  Qt6::Svg
  Qt6::Sql
  Qt6::Concurrent
  Qt6::Xml
  Qt6::Core5Compat 
  Qt6::Core
  ZLIB::ZLIB
  Zstd::Zstd
  liblzf::liblzf
  pappsomspp-shared
)


# Should check that this still required. It was years ago.
if(WIN32 OR _WIN32)

  target_link_libraries(pappsomspp-widget-shared 
    stdc++
  )

endif()


# Install libs

install(TARGETS pappsomspp-widget-shared 
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  # This one is for WIN32
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(TARGETS pappsomspp-widget-static 
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})


# Install headers
install(DIRECTORY pappsomspp/widget 
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/pappsomspp/widget
  FILES_MATCHING PATTERN "*.h"
  PATTERN "*.hpp")

=== debian/changelog ===
libpappsomspp (0.9.38-1build3) questing; urgency=medium

  * Another no-change rebuild for boost 1.88 due to LP publisher

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Sep 2025 16:13:11 +0000

libpappsomspp (0.9.38-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:26:17 +0200

libpappsomspp (0.9.38-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 18:02:54 +0000

libpappsomspp (0.9.38-1) unstable; urgency=medium

  * New upstream version, see below.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 19 Jul 2024 16:40:15 +0200

libpappsomspp (0.9.37-1~bookworm+1) bookworm; urgency=medium

  [ Filippo Rusconi ]
  * Work on renaming functions and member variables for clarity
  * Add convenience function getTimsMS2FrameIdsInRtRange()

  [ Olivier Langella ]
  * Refactoring TimsData object : definition of 2 components, one
  for DDA precursors and a new one for DIA slices
  * New tests added for DDA DIA new API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 15 Jul 2024 13:58:33 +0200

=== debian/control ===
Source: libpappsomspp
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-exec,
 cmake,
 d-shlibs,
 libxkbcommon-x11-dev,
 qt6-base-dev,
 libqt6core5compat6-dev,
 libqt6svg6-dev,
 qt6-documentation-tools,
 libpwizlite-dev (>= 3.0.8),
 libqcustomplot-dev (>= 2.1.0),
 libodsstream-dev (>= 0.9.7),
 libsqlite3-dev,
 libzstd-dev,
 liblzf-dev,
 zlib1g-dev,
 libquazip1-qt6-dev,
 libboost-dev,
 libboost-iostreams-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-chrono-dev,
 libboost-container-dev,
 libhdf5-dev,
 doxygen,
 catch2
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debichem-team/libpappsomspp
Vcs-Git: https://salsa.debian.org/debichem-team/libpappsomspp.git
Homepage: http://pappso.inrae.fr/bioinfo


Package: libpappsomspp0
Architecture: any
Multi-Arch: same
Conflicts: libpappsomspp0-qt6
Replaces: libpappsomspp0-qt6
Breaks: libpappsomspp0-qt6
Depends: libqt6sql6-sqlite,
 ${shlibs:Depends},
 ${misc:Depends}
Description: C++ library to handle mass spectrometry data (non-GUI runtime)
 libpappsomspp provides a simple API to perform a variety of
 tasks related to mass spectrometry. Although the library is
 proteomics oriented, it also features interesting functions to perform
 mass spectral data integrations. The main features are:
 .
 - abstractions for peptides, ions, amino acid modifications...
 - integrations to mass spectra, drift spectra, XIC chromatograms...
 .
 This package ships the non-GUI library.


Package: libpappsomspp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: libpappsomspp-dev (<< ${binary:Version})
Depends: libpappsomspp0 (= ${binary:Version}),
 ${misc:Depends}
Recommends: libpappsomspp-doc
Description: C++ library to handle mass spectrometry data (development files)
 libpappsomspp provides a simple API to perform a variety of
 tasks related to mass spectrometry. Although the library is
 proteomics oriented, it also features interesting functions to perform
 mass spectral data integrations. The main features are:
 .
 - abstractions for peptides, ions, amino acid modifications...
 - integrations to mass spectra, drift spectra, XIC chromatograms...
 .
 This package ships the development files for the non-GUI library.


Package: libpappsomspp-widget0
Architecture: any
Multi-Arch: same
Conflicts: libpappsomspp-widget0-qt6
Breaks: libpappsomspp-widget0-qt6
Replaces: libpappsomspp-widget0-qt6, libpappsomspp-widget0 (<< ${binary:Version})
Depends: libpappsomspp0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library to handle mass spectrometry data (GUI runtime)
 libpappsomspp provides a simple API to perform a variety of
 tasks related to mass spectrometry. Although the library is
 proteomics oriented, it also features interesting functions to perform
 mass spectral data integrations. The main features are:
 .
 - abstractions for peptides, ions, amino acid modifications...
 - integrations to mass spectra, drift spectra, XIC chromatograms...
 .
 This package ships the GUI library.


Package: libpappsomspp-widget-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: libpappsomspp-widget-dev (<< ${binary:Version})
Depends: libpappsomspp-widget0 (= ${binary:Version}),
         libpappsomspp-dev,
         ${misc:Depends}
Recommends: libpappsomspp-doc
Description: C++ library to handle mass spectrometry data (GUI development files)
 libpappsomspp provides a simple API to perform a variety of
 tasks related to mass spectrometry. Although the library is
 proteomics oriented, it also features interesting functions to perform
 mass spectral data integrations. The main features are:
 .
 - abstractions for peptides, ions, amino acid modifications...
 - integrations to mass spectra, drift spectra, XIC chromatograms...
 .
 This package ships the development files for the GUI library.


Package: libpappsomspp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: C++ library to handle mass spectrometry data (developer documentation)
 libpappsomspp provides a simple API to perform a variety of
 tasks related to mass spectrometry. Although the library is
 proteomics oriented, it also features interesting functions to perform
 mass spectral data integrations. The main features are:
 .
 - abstractions for peptides, ions, amino acid modifications...
 - integrations to mass spectra, drift spectra, XIC chromatograms...
 .
 This package contains the developer documentation.
